#! /usr/bin/python2

# $Id: config.py.in,v 1.5 2001/08/14 18:42:42 ensc Exp $
# Copyright (C) 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
#  
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#  
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#  
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#  

PACKAGE    = 'rpmDirectoryCheck'
VERSION    = '0.8'

class __config:
    class __incrementor:
        def __init__(this, min, max, default):
            this.__min = min
            this.__max = max
            this.__val = default

        def inc(this, step=1):
            this.__val = min(this.__max, this.__val + step)

        def dec(this, step=1):
            this.__val = max(this.__min, this.__val - step)

        def __cmp__(this, rhs):
            if (isinstance(rhs, this.__class__)): return this.__val - rhs.__val
            else:                                 return this.__val - rhs
            
    def __init__(this):
        this.verbosity = this.__incrementor(0, 10, 2)
        this.dbpath    = None

cfg = __config()


### Local Variables:
### mode: python
### End:    
